use tracing::{info, instrument};
use tracing_subscriber::{filter::LevelFilter, EnvFilter};

#[instrument]
pub fn init() {
    color_eyre::install().expect("Failed to install color_eyre");
    setup_trace_logger();
    info!("Instrumentation initialized.");
}

#[instrument]
pub fn setup_trace_logger() {
    let filter = EnvFilter::builder()
        .with_default_directive(LevelFilter::INFO.into())
        .parse_lossy("info,lyrs=trace");

    tracing_subscriber::fmt().with_env_filter(filter).init();
}
